Bug 1195145 - Unable to download document attachments in proc.inst.perspective
Summary: Unable to download document attachments in proc.inst.perspective
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: CR2
: 6.1.0
Assignee: Pere Fernàndez
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 08:58 UTC by Jan Hrcek
Modified: 2020-03-27 20:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:02:03 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot illustrating the issue (266.70 KB, image/png)
2015-02-23 08:58 UTC, Jan Hrcek
no flags Details
VIdeo illustrating new issue (3.36 MB, application/octet-stream)
2015-03-11 09:03 UTC, Jan Hrcek
no flags Details
Video: CR1 still has the issue (2.09 MB, application/octet-stream)
2015-03-26 06:35 UTC, Jan Hrcek
no flags Details
Video: CR1 still has the issue 2 (2.53 MB, application/octet-stream)
2015-03-26 06:36 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2015-02-23 08:58:56 UTC
Created attachment 994315 [details]
Screenshot illustrating the issue

Description of problem:
I have a process with 1 HumanTask in which I test Form Modeler's document field (i.e. file attachment support). I upload the document in the task list using FM Form and complete the task (that completes the process).

When I navigate to Documents tab in Process Instance Details perspective, there is a notification with exception and the documents table is not loaded (see screenshot).

Version-Release number of selected component (if applicable):
BPM Suite 6.1.0 ER5

How reproducible:
Always

Steps to Reproduce:
1. Create simple "start -> HumanTask -> end" process which uses Form modeler form with document field.
2. Deploy the project and start the process.
3. Upload some doc in human task and complete the task
4. Navigate to Process Instances Perspective and check completed process instances. Open Process Instance details panel and switch to Documents tab

Actual results:
Error notification is displayed. Unfortunately there's nothing in server log. I underlined the root cause in the screenshot (SessionNotFoundException - seems to be simliar issue as in bug #1195142)

Expected results:
Documents are listed in the tab, no error notification.

Additional info:

Comment 1 Mauricio Salatino 2015-02-24 20:41:47 UTC
Fixed in 6.2.x jbpm and jbpm-console-ng: 

http://github.com/droolsjbpm/jbpm/commit/73bc3e802
http://github.com/droolsjbpm/jbpm-console-ng/commit/4346240b5

Comment 2 Jan Hrcek 2015-03-11 09:02:22 UTC
Checking with BPM Suite 6.1.0 ER6. I can see the download link in the Process Instance Details > Documents Tab, but this link is now working ONLY for processes instances that are completed.

For running process instances that have some document uploaded (e.g. a process for which document was uploaded via process start form), the document link is there, but it has invalid URL (of the form "http://localhost:8080/business-central/org.kie.workbench.KIEWebappnull"). Clicking this link naturally causes HTTP 404.

Interesting is, that when I COMPLETE that process, the document link becomes valid. See the behavior in the video I attach and please review the fix.

Comment 3 Jan Hrcek 2015-03-11 09:03:07 UTC
Created attachment 1000322 [details]
VIdeo illustrating new issue

Comment 5 Jan Hrcek 2015-03-26 06:33:52 UTC
Checking with BPM Suite 6.1 CR1.
This is still not working as expected. Now the document links in Process Instance Details > Documents tab are NEVER displayed (not for running process, nor for completed process).

Please see the current behavior in the 2 videos attached:
1) DocProcess - document uploaded on process start. After that checking Process Instance Details > Documents tab, there is no link to download document (even thought the document link is present in Process Variables tab - but just as a text, not as clickable link)

2) HTDocUpload - document uploaded in task list as a part of human task. After that the process completes. Agan, Process Instance Details > Documents tab does not list any documents (but it's present in the Proc. Variables tab - as in case 1)

Please see the videos attached for steps to reproduce.

The sources of the 2 processes used & their corresponding forms can be found in our repo of testing artifacts:
http://git.app.eng.bos.redhat.com/git/bpms-assets.git/tree/formmodeler/src/main/resources/docfield

Comment 6 Jan Hrcek 2015-03-26 06:35:48 UTC
Created attachment 1006678 [details]
Video: CR1 still has the issue

Comment 7 Jan Hrcek 2015-03-26 06:36:18 UTC
Created attachment 1006679 [details]
Video: CR1 still has the issue 2

Comment 10 Pere Fernàndez 2015-03-30 15:31:14 UTC
Changed the properties separator for documents from "," to a more complex expression "####" to avoid errors on with the file naming. 

Commits(master): 
https://github.com/droolsjbpm/jbpm/commit/286518af64f23ae33e310589d238fe3513073236
https://github.com/droolsjbpm/jbpm-console-ng/commit/8f0847b720519348bb2127bd1b93e05a12630c6a

It requires to specify in the documentation that the uploaded files shouldn't have the #### token on it's name.

Comment 11 Jan Hrcek 2015-04-09 07:04:40 UTC
Now it's working fine. Verified with BPM Suite 6.1.0 CR2


Note You need to log in before you can comment on or make changes to this bug.